package utils

func IsType[T any](t any) bool {
	_, ok := t.(T)
	return ok
}

func AllIsType[T any, I any](input ...I) bool {
	for _, item := range input {
		if !IsType[T](item) {
			return false
		}
	}
	return true
}

func RemoveType[T any, I any](input []I) []I {
	i := 0
	for j := 0; j < len(input); j++ {
		if IsType[T](input[j]) {
			if i != j {
				input[i] = input[j]
			}
			i++
		}
	}
	return input[:i]
}
