package filler

func validNames(items []string) bool {
	for _, item := range items {
		if item == "" {
			return false
		}
		if !(('a' <= item[0] && item[0] <= 'z') || ('A' <= item[0] && item[0] <= 'Z') || item[0] == '_') {
			return false
		}
		for i := 1; i < len(item); i++ {
			if !(('a' <= item[i] && item[i] <= 'z') || ('A' <= item[i] && item[i] <= 'Z') || ('0' <= item[i] && item[i] <= '9') || item[i] == '_') {
				return false
			}
		}
	}
	return true
}

func validIntegers(items []string) bool {
	for _, s := range items {
		if s == "" {
			return false
		}
		if !(s[0] == '+' || s[0] == '-' || ('0' <= s[0] && s[0] <= '9')) {
			return false
		}
		for i := 1; i < len(s); i++ {
			if !('0' <= s[i] && s[i] <= '9') {
				return false
			}
		}
	}
	return true
}
